Ask Your Question

Revision history [back]

I am suspicious of the version of swift we get. apt-cache show swift shows: Package: swift Source: swift Priority: optional Section: net Installed-Size: 284 Maintainer: Ubuntu Developers ubuntu-devel-discuss@lists.ubuntu.com Architecture: all Version: 1.2.0-0ubuntu1~lucid0 Depends: python-swift (= 1.2.0-0ubuntu1~lucid0), python (>= 2.6) Filename: pool/main/s/swift/swift_1.2.0-0ubuntu1~lucid0_all.deb Size: 57176 MD5sum: ede471f408957e541c1d05904d53a19a SHA1: 097e7ded1382df1a228c02621676057999462933 Description: A distributed virtual object store (common files) Swift is a distributed virtual object store. Original-Maintainer: Soren Hansen soren@ubuntu.com

It looks like while following instructions we get release 1.2 which is swift latest release and not 1.4.3 as stated in http://swift.openstack.org/howto_installmultinode.html

So we need to these instructions to install: http://swift.openstack.org/1.2/howto_installmultinode.html